summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-12 23:31:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:31:42 +0200
commit97cd1c11dfd26f73bdd837f8aa8645ddbc8e9c6e (patch)
tree861694333d1921b902e6719e757b25ce35a18bb0 /misc
parentf17cf614fc98c97e661886bbc498bd9bea3ecb0b (diff)
downloadslackbuilds-97cd1c11dfd26f73bdd837f8aa8645ddbc8e9c6e.tar.gz
slackbuilds-97cd1c11dfd26f73bdd837f8aa8645ddbc8e9c6e.tar.xz
misc/misctools: Added to 12.2 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/misctools/README6
-rw-r--r--misc/misctools/misctools.SlackBuild72
-rw-r--r--misc/misctools/misctools.info8
-rw-r--r--misc/misctools/slack-desc18
4 files changed, 104 insertions, 0 deletions
diff --git a/misc/misctools/README b/misc/misctools/README
new file mode 100644
index 0000000000..76e6dc0359
--- /dev/null
+++ b/misc/misctools/README
@@ -0,0 +1,6 @@
+MiscTools is a collection of small UNIX utilities that are fairly trivial
+but nevertheless useful. These include a binary dump program, a directory
+browser/selector, a file truncator, an ASCII-code lookup utility, a program
+for printing fortunes, a curses-based terminal lock program, and a few others.
+
+Building this depends on 'cbase', available in the SBo Libraries repo.
diff --git a/misc/misctools/misctools.SlackBuild b/misc/misctools/misctools.SlackBuild
new file mode 100644
index 0000000000..a9a8ed7607
--- /dev/null
+++ b/misc/misctools/misctools.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for MiscTools
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+# This program is free software. It comes without any warranty.
+# Granted WTFPLv2, as published by Sam Hocevar dec'04.
+# For details see http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=misctools
+VERSION=${VERSION:-2.5.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d -exec chmod 0755 {} \; -o -type f -exec chmod u+rw,go+r-w,a-s {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Remove stuff Slackware already features
+for f in texi2pdf stat ps2pdf ; do
+ rm -vf $PKG/usr/bin/$f $PKG/usr/man/man1/$f.1 2>/dev/null || true ;
+done
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/misctools/misctools.info b/misc/misctools/misctools.info
new file mode 100644
index 0000000000..3ee1f579c4
--- /dev/null
+++ b/misc/misctools/misctools.info
@@ -0,0 +1,8 @@
+PRGNAM="misctools"
+VERSION="2.5.5"
+HOMEPAGE="http://www.hyperrealm.com/main.php?s=misctools"
+DOWNLOAD="http://www.hyperrealm.com/misctools/misctools-2.5.5.tar.bz2"
+MD5SUM="b133836d9692feaf455481ac78d65364"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/misc/misctools/slack-desc b/misc/misctools/slack-desc
new file mode 100644
index 0000000000..0b5824c245
--- /dev/null
+++ b/misc/misctools/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+misctools: misctools (Miscellaneous UNIX Utilities)
+misctools:
+misctools: A collection of small but useful utilities.
+misctools:
+misctools:
+misctools: misctools was written by Mark Lindner
+misctools:
+misctools:
+misctools:
+misctools:
+misctools: